#include <windows.h>
#include <stdio.h>
#include <io.h>
#include <stdlib.h>
#include <fcntl.h>
#include "vicdefs.h"


int CopyScreenToImage(imgdes *image)
{
  HDC hScrDC;           // screen DC
  HBITMAP hBitmap;      // handles to device-dependent bitmaps
  int rcode = BAD_BMP;
  int xScrn, yScrn;
   

  // create a DC for the screen
  hScrDC = CreateDC("DISPLAY", NULL, NULL, NULL);
  if (!hScrDC) return rcode;

  // get screen resolution
  xScrn = GetDeviceCaps(hScrDC, HORZRES);
  yScrn = GetDeviceCaps(hScrDC, VERTRES);

  // get the bitmap of the screen
  hBitmap = (HBITMAP) GetCurrentObject(hScrDC, OBJ_BITMAP);
  if (!hBitmap) return rcode;

  // Allocate space for the Victor image
  rcode = allocimage(image, xScrn, yScrn, 24);
  if (rcode == NO_ERROR)
  {
    // Transfer bitmap bits to DIB
    if (GetDIBits(hScrDC, hBitmap, 0, (unsigned)image->bmh->biHeight,
      (LPSTR)image->ibuff, (BITMAPINFO far *)image->bmh,
      DIB_RGB_COLORS) == 0)
      rcode = BAD_BMP; // GetDIBits() failed
  }
   
  // clean up
  DeleteDC(hScrDC);

  return rcode;
}



void main(int argc, char *argv[])
{
  imgdes img;
  FILE *fp;
  HDESK hdesk;

/*
  hdesk = GetThreadDesktop( GetCurrentThreadId());
  hdesk = OpenInputDesktop(0, FALSE, READ_CONTROL);
  SetThreadDesktop(hdesk);
*/

  if (argc > 1)
  {
    CopyScreenToImage(&img);
    savejpg(argv[1], &img, 75);
  }
}


